Loading...
Searching...
No Matches
BALL::EvolutionaryDocking::Option Struct Reference

`#include <BALL/DOCKING/GENETICDOCK/evolutionaryDocking.h>`

## Static Public Attributes

static const String | MAX_ITERATIONS
static const String | POPULATION_NUMBER
static const String | INITIAL_POPULATION
static const String | POPULATION
static const String | SURVIVORS
static const String | MUTATION_RATE
static const String | MUTATION_SAVE
static const String | CONV_ITERATIONS
static const String | CONV_VALUE
static const String | CONV_START
static const String | BEST_NUM
static const char * | SCORING_TYPE

## Detailed Description

Definition at line 38 of file evolutionaryDocking.h.

## Member Data Documentation

## BEST_NUM

const String BALL::EvolutionaryDocking::Option::BEST_NUM

static

Definition at line 50 of file evolutionaryDocking.h.

## CONV_ITERATIONS

const String BALL::EvolutionaryDocking::Option::CONV_ITERATIONS

static

Definition at line 47 of file evolutionaryDocking.h.

## CONV_START

const String BALL::EvolutionaryDocking::Option::CONV_START

static

Definition at line 49 of file evolutionaryDocking.h.

## CONV_VALUE

const String BALL::EvolutionaryDocking::Option::CONV_VALUE

static

Definition at line 48 of file evolutionaryDocking.h.

## INITIAL_POPULATION

const String BALL::EvolutionaryDocking::Option::INITIAL_POPULATION

static

Definition at line 42 of file evolutionaryDocking.h.

## MAX_ITERATIONS

const String BALL::EvolutionaryDocking::Option::MAX_ITERATIONS

static

Definition at line 40 of file evolutionaryDocking.h.

## MUTATION_RATE

const String BALL::EvolutionaryDocking::Option::MUTATION_RATE

static

Definition at line 45 of file evolutionaryDocking.h.

## MUTATION_SAVE

const String BALL::EvolutionaryDocking::Option::MUTATION_SAVE

static

Definition at line 46 of file evolutionaryDocking.h.

## POPULATION

const String BALL::EvolutionaryDocking::Option::POPULATION

static

Definition at line 43 of file evolutionaryDocking.h.

## POPULATION_NUMBER

const String BALL::EvolutionaryDocking::Option::POPULATION_NUMBER

static

Definition at line 41 of file evolutionaryDocking.h.

## SCORING_TYPE

const char* BALL::EvolutionaryDocking::Option::SCORING_TYPE

static

Definition at line 51 of file evolutionaryDocking.h.

## SURVIVORS

const String BALL::EvolutionaryDocking::Option::SURVIVORS

static

Definition at line 44 of file evolutionaryDocking.h.